org.apache.fop.render.afp.extensions

## Class AFPPageSetup

- java.lang.Object
- - org.apache.fop.render.afp.extensions.AFPExtensionAttachment
  - - org.apache.fop.render.afp.extensions.AFPPageSetup

All Implemented Interfaces:
  Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

Direct Known Subclasses:
  AFPPageSegmentElement.AFPPageSegmentSetup

    public class AFPPageSetup
    extends AFPExtensionAttachment

This is the pass-through value object for the AFP extension.

See Also:
  Serialized Form

### Field Summary

Fields
`protected static String` `ATT_ENCODING`
`protected static String` `ATT_PLACEMENT` placement attribute
`protected static String` `ATT_VALUE` value attribute
`protected String` `content` the extension content
`protected int` `encoding` the CCSID character set encoding
`protected ExtensionPlacement` `placement` defines where to place the extension in the generated file
`protected String` `value` the extension value attribute

### Fields inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

`ATT_NAME, CATEGORY, elementName, name`

### Constructor Summary

Constructors
Constructor and Description
`AFPPageSetup(String elementName)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContent()` Returns the content of the extension.
`int` `getEncoding()`
`ExtensionPlacement` `getPlacement()` Returns the intended placement of the extension inside the generated file.
`String` `getValue()` Returns the value of the extension.
`void` `setContent(String content)` Sets the data
`void` `setEncoding(int encoding)`
`void` `setPlacement(ExtensionPlacement placement)` Sets the intended placement of the extension inside the generated file.
`void` `setValue(String source)` Sets the value
`void` `toSAX(ContentHandler handler)`
`String` `toString()`

### Methods inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

`getCategory, getElementName, getName, hasName, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ATT_VALUE

    protected static final String ATT_VALUE

value attribute

See Also:
  Constant Field Values

#### ATT_ENCODING

    protected static final String ATT_ENCODING

See Also:
  Constant Field Values

#### ATT_PLACEMENT

    protected static final String ATT_PLACEMENT

placement attribute

See Also:
  Constant Field Values

#### content

    protected String content

the extension content

#### value

    protected String value

the extension value attribute

#### placement

    protected ExtensionPlacement placement

defines where to place the extension in the generated file

#### encoding

    protected int encoding

the CCSID character set encoding

### Constructor Detail

#### AFPPageSetup

    public AFPPageSetup(String elementName)

Default constructor.

Parameters:
  `elementName` - the name of the setup code object, may be null

### Method Detail

#### getEncoding

    public int getEncoding()

Returns:
  CCSID character set encoding

#### setEncoding

    public void setEncoding(int encoding)

Parameters:
  `encoding` - CCSID character set encoding

#### getValue

    public String getValue()

Returns the value of the extension.

Returns:
  the value

#### setValue

    public void setValue(String source)

Sets the value

Parameters:
  `source` - The value name to set.

#### getContent

    public String getContent()

Returns the content of the extension.

Returns:
  the data

#### setContent

    public void setContent(String content)

Sets the data

Parameters:
  `content` - The byte data to set.

#### getPlacement

    public ExtensionPlacement getPlacement()

Returns the intended placement of the extension inside the generated file.

Returns:
  the intended placement

#### setPlacement

    public void setPlacement(ExtensionPlacement placement)

Sets the intended placement of the extension inside the generated file.

Parameters:
  `placement` - the intended placement

#### toSAX

    public void toSAX(ContentHandler handler)
               throws SAXException

Throws:
  `SAXException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`